Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.cms.model
Class CMSUser

    java.lang.Object
      org.jboss.portal.cms.model.CMSUser

All Implemented Interfaces:
  java.io.Serializable, org.jboss.portal.identity.User

    public class CMSUser

extends java.lang.Object
implements org.jboss.portal.identity.User, java.io.Serializable

Author:
  Sohil Shah
See Also:
  Serialized Form

Field Summary

Fields inherited from interface org.jboss.portal.identity.User
`INFO_USER_EMAIL_FAKE, INFO_USER_EMAIL_REAL, INFO_USER_ENABLED, INFO_USER_EXTRA, INFO_USER_HOMEPAGE, INFO_USER_IM_AIM, INFO_USER_IM_ICQ, INFO_USER_IM_MSNM, INFO_USER_IM_SKYPE, INFO_USER_IM_XMMP, INFO_USER_IM_YIM, INFO_USER_INTERESTS, INFO_USER_LAST_LOGIN_DATE, INFO_USER_LOCALE, INFO_USER_LOCATION, INFO_USER_NAME_FAMILY, INFO_USER_NAME_GIVEN, INFO_USER_OCCUPATION, INFO_USER_REGISTRATION_DATE, INFO_USER_SECURITY_ANSWER, INFO_USER_SECURITY_QUESTION, INFO_USER_SIGNATURE, INFO_USER_THEME, INFO_USER_TIME_ZONE_OFFSET, INFO_USER_VIEW_EMAIL_VIEW_REAL`

Constructor Summary
`CMSUser(java.lang.String username)`

Method Summary
`java.lang.Object` | `getId()`
`java.lang.String` | `getUserName()`
`void` | `updatePassword(java.lang.String password)`
`boolean` | `validatePassword(java.lang.String password)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CMSUser

    public CMSUser(java.lang.String username)

Parameters:
  `username` -

Method Detail

### getId

    public java.lang.Object getId()

  Specified by:
    `getId` in interface `org.jboss.portal.identity.User`

### getUserName

    public java.lang.String getUserName()

  Specified by:
    `getUserName` in interface `org.jboss.portal.identity.User`

### updatePassword

    public void updatePassword(java.lang.String password)

  Specified by:
    `updatePassword` in interface `org.jboss.portal.identity.User`

### validatePassword

    public boolean validatePassword(java.lang.String password)

  Specified by:
    `validatePassword` in interface `org.jboss.portal.identity.User`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008. All Rights Reserved.